List SSH and GPG authentication keys of a user
get
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
Responses
200
All authentication keys of the user.
application/json
object[]Optional
401
Session is missing or invalid.
application/json
403
Requires admin privileges or the request must target your own account.
application/json
404
User not found.
application/json
500
Unable to list authentication keys.
application/json
get/api/v1/user/{username}/auth_key
GET /api/v1/user/{username}/auth_key HTTP/1.1
Accept: */*
[
{
"id": 1,
"key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAI...",
"key_type": "ssh",
"name": "laptop",
"user_id": 1,
"yubikey_id": null,
"yubikey_name": null,
"yubikey_serial": null
}
]PreviousGet SSH authorized keys in the `authorized_keys` file formatNextAdd an SSH or GPG authentication key to a user
Last updated
Was this helpful?